package us.camin.api.events;

/*
    This file is part of Caminus

    Caminus is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Caminus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Caminus.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.json.*;
import java.util.*;
public class BlockPlaceEvent extends Event {
	public int y;
	public String player;
	public int material;
	public int z;
	public int x;
	public static BlockPlaceEvent fromJSON(JSONObject obj) throws JSONException {
		BlockPlaceEvent ret = new BlockPlaceEvent();
		ret.y = obj.getInt("y");
		ret.player = obj.getString("player");
		ret.material = obj.getInt("material");
		ret.z = obj.getInt("z");
		ret.x = obj.getInt("x");
		return ret;
	}
	public JSONWriter toJSON(JSONWriter writer) throws JSONException {
writer.key("y").value(this.y);
writer.key("player").value(this.player);
writer.key("material").value(this.material);
writer.key("z").value(this.z);
writer.key("x").value(this.x);
		return writer;
	}
	public String jsonName() { return "block-place"; }
	static { Event.registerHandler("block-place", BlockPlaceEvent.class); }
}
