package us.camin.api.events;

/*
    This file is part of Caminus

    Caminus is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Caminus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Caminus.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.json.*;
import java.util.*;
public class MarketOrderEvent extends Event {
	public int orderID;
	public static MarketOrderEvent fromJSON(JSONObject obj) throws JSONException {
		MarketOrderEvent ret = new MarketOrderEvent();
		ret.orderID = obj.getInt("orderID");
		return ret;
	}
	public JSONWriter toJSON(JSONWriter writer) throws JSONException {
writer.key("orderID").value(this.orderID);
		return writer;
	}
	public String jsonName() { return "market-order"; }
	static { Event.registerHandler("market-order", MarketOrderEvent.class); }
}
