package us.camin.api.events;

/*
    This file is part of Caminus

    Caminus is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Caminus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Caminus.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.json.*;
import java.util.*;
public class PlayerKickEvent extends Event {
	public String player;
	public String message;
	public static PlayerKickEvent fromJSON(JSONObject obj) throws JSONException {
		PlayerKickEvent ret = new PlayerKickEvent();
		ret.player = obj.getString("player");
		ret.message = obj.getString("message");
		return ret;
	}
	public JSONWriter toJSON(JSONWriter writer) throws JSONException {
writer.key("player").value(this.player);
writer.key("message").value(this.message);
		return writer;
	}
	public String jsonName() { return "player-kick"; }
	static { Event.registerHandler("player-kick", PlayerKickEvent.class); }
}
