package us.camin.api.events;

/*
    This file is part of Caminus

    Caminus is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Caminus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Caminus.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.json.*;
import java.util.*;
public class ServerHeartbeatEvent extends Event {
	public Map<String, Object> worldTimes;
	public int port;
	public String name;
	public static ServerHeartbeatEvent fromJSON(JSONObject obj) throws JSONException {
		ServerHeartbeatEvent ret = new ServerHeartbeatEvent();
		
      JSONObject worldTimes_obj = obj.getJSONObject("worldTimes");
      for(String name : JSONObject.getNames(worldTimes_obj)) {
        ret.worldTimes.put(name, worldTimes_obj.get(name));
      }
      
		ret.port = obj.getInt("port");
		ret.name = obj.getString("name");
		return ret;
	}
	public JSONWriter toJSON(JSONWriter writer) throws JSONException {
writer.key("worldTimes").value(this.worldTimes);
writer.key("port").value(this.port);
writer.key("name").value(this.name);
		return writer;
	}
	public String jsonName() { return "server-heartbeat"; }
	static { Event.registerHandler("server-heartbeat", ServerHeartbeatEvent.class); }
}
