package us.camin.api.events;

/*
    This file is part of Caminus

    Caminus is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Caminus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Caminus.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.json.*;
import java.util.*;
public class VaultContentsEvent extends Event {
	public String player;
	public List<VaultSlot> items;
	public static VaultContentsEvent fromJSON(JSONObject obj) throws JSONException {
		VaultContentsEvent ret = new VaultContentsEvent();
		ret.player = obj.getString("player");
		
      JSONArray items_list = obj.getJSONArray("items");
      ret.items = new ArrayList<VaultSlot>();
      for(int i = 0;i<items_list.length();i++) {
        ret.items.add(VaultSlot.fromJSON(items_list.getJSONObject(i)));
      }
		return ret;
	}
	public JSONWriter toJSON(JSONWriter writer) throws JSONException {
writer.key("player").value(this.player);
writer.key("items").value(this.items);
		return writer;
	}
	public String jsonName() { return "vault-contents"; }
	static { Event.registerHandler("vault-contents", VaultContentsEvent.class); }
}
