package us.camin.api.events;

/*
    This file is part of Caminus

    Caminus is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Caminus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Caminus.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.json.*;
import java.util.*;
public class WebHeartbeatEvent extends Event {
	public Map<String, Object> heartbeat;
	public int server;
	public String dayPeriod;
	public int time;
	public static WebHeartbeatEvent fromJSON(JSONObject obj) throws JSONException {
		WebHeartbeatEvent ret = new WebHeartbeatEvent();
		
      JSONObject heartbeat_obj = obj.getJSONObject("heartbeat");
      for(String name : JSONObject.getNames(heartbeat_obj)) {
        ret.heartbeat.put(name, heartbeat_obj.get(name));
      }
      
		ret.server = obj.getInt("server");
		ret.dayPeriod = obj.getString("dayPeriod");
		ret.time = obj.getInt("time");
		return ret;
	}
	public JSONWriter toJSON(JSONWriter writer) throws JSONException {
writer.key("heartbeat").value(this.heartbeat);
writer.key("server").value(this.server);
writer.key("day-period").value(this.dayPeriod);
writer.key("time").value(this.time);
		return writer;
	}
	public String jsonName() { return "web-heartbeat"; }
	static { Event.registerHandler("web-heartbeat", WebHeartbeatEvent.class); }
}
